android: Update platform tools and pull in support libs
authorTobias Brunner <tobias@strongswan.org>
Wed, 25 Nov 2015 15:07:55 +0000 (16:07 +0100)
committerTobias Brunner <tobias@strongswan.org>
Wed, 27 Apr 2016 12:24:25 +0000 (14:24 +0200)
We'll have to change some stuff that Google deprecated (e.g. the tabs in
the ActionBar) and that requires changing the theme at least in activities.
Since that would look a bit inconsistent we'll change it globally and
use parts of the support library.

src/frontends/android/app/build.gradle

index 46927ea..d27ba1e 100644 (file)
@@ -1,8 +1,8 @@
 apply plugin: 'com.android.application'
 
 android {
-    compileSdkVersion 21
-    buildToolsVersion "22.0.1"
+    compileSdkVersion 23
+    buildToolsVersion "23.0.3"
 
     defaultConfig {
         applicationId "org.strongswan.android"
@@ -42,5 +42,7 @@ android {
 }
 
 dependencies {
+    compile 'com.android.support:appcompat-v7:23.3.0'
+    compile 'com.android.support:design:23.3.0'
     testCompile 'junit:junit:4.12'
 }